<div class="tenants-create">
    <div class="row">
        <div class="col-md-12"> 
            <div class="card mb-3">
                <div class="card-header">
                   View / Edit Tenant
                    <div [hidden]="!showSpinner">
                        <app-spinner></app-spinner>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-header sub-header">
                                    Tenant / Brand
                                    <div class="pull-right" >
                                    Active &nbsp;<input [(ngModel)]="model.IsActive"  type="checkbox" />
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="form-content">
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.Name" class="form-control input-underline input-sm" placeholder="Name / Brand">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.Email" class="form-control input-underline input-sm" placeholder="Email">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.Phone" class="form-control input-underline input-sm" placeholder="Phone">
                                        </div>
                                        <div class="form-group">
                                            <small>Premises Type :</small>
                                            <select [(ngModel)]="model.PermiseType" class="form-control input-sm input-underline" style="height:34px">
                                                <option value="0">Select Type of Premises</option>
                                                <option value="1">Botique</option>
                                                <option value="2">Pharmacy</option>
                                                <option value="3">Hardware</option>
                                                <option value="4">Supermarket</option>
                                                <option value="6">Pharmacy</option>
                                                <option value="7">Electronics</option>
                                                <option value="8">Fast Food</option>
                                                <option value="9">Restaurant</option>
                                                <option value="10">Petshop</option>
                                                <option value="11">Home Appliance & Electronics</option>
                                                <option value="12">Toys & Games</option>
                                                <option value="13">Bookstore</option>
                                                <option value="14">Food and Beverage</option>
                                                <option value="15">Entertainment</option>
                                                <option value="16">Jewelry</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.VisitingAddress"  class="form-control input-underline input-sm" placeholder="Visiting Address">
                                        </div>
                                    </div>
                                </div>   
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-6">
                            <div class="card">
                                <div class="card-header sub-header">
                                    Site Manager
                                </div>
                                 <div class="card-body">
                                    <div class="form-content">
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.SiteManagerName" class="form-control input-underline input-sm" placeholder="Name">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.SiteManagerEmail" class="form-control input-underline input-sm" placeholder="Email">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.SiteManagerMobilePhone" class="form-control input-underline input-sm" placeholder="Phone">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.SiteManagerPhone" class="form-control input-underline input-sm" placeholder="Mobile Phone">
                                        </div>
                                    </div>
                                </div>
                            </div> 
                        </div>
                         <div class="col-md-6">
                             <div class="card">
                                <div class="card-header sub-header">
                                    Other
                                </div>
                                 <div class="card-body">
                                     <div class="form-content">
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.InsuranceCompany" class="form-control input-underline input-sm" placeholder="Insurance Company">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.SecurityCompany" class="form-control input-underline input-sm" placeholder="Security Company">
                                        </div>
                                        <div class="form-group">
                                            <small>CCTV : </small>
                                            <select class="form-control input-sm input-underline" style="height:34px">
                                                <option [selected]="model.CCTV" value="true" [ngValue]="true">Yes</option>
                                                <option [selected]="!model.CCTV" value="false" [ngValue]="false">No</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <small>Intrusion Alarm :</small>
                                            <select class="form-control input-sm input-underline" style="height:34px">
                                                <option [selected]="model.IntrusionAlarm" value="true" [ngValue]="true">Yes</option>
                                                <option [selected]="!model.IntrusionAlarm" value="false" [ngValue]="false">No</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-6">
                            <div class="card">
                                <div class="card-header sub-header">
                                    Written Statement
                                </div>
                                 <div class="card-body">
                                    <div class="form-content">
                                        <div class="form-group">
                                            <input [(ngModel)]="model.UserName" type="text" class="form-control input-underline input-sm" placeholder="Username">
                                        </div>
                                        <div class="form-group">
                                            <input [(ngModel)]="model.Password" type="password" class="form-control input-underline input-sm" placeholder="Password">
                                        </div>
                                        <div class="form-group">
                                            <input [(ngModel)]="model.PropertyDesignation" type="text" class="form-control input-underline input-sm" placeholder="Property Designation">
                                        </div>
                                        <div class="form-group">
                                            <small>Usr Written Statement :</small>
                                            <select class="form-control input-sm input-underline" style="height:34px">
                                                <option [selected]="model.UseWrittenStatement" value="true" [ngValue]="true">Yes</option>
                                                <option [selected]="!model.UseWrittenStatement" value="false" [ngValue]="false">No</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div> 
                        </div>
                         <div class="col-md-6">
                             <div class="card">
                                <div class="card-header sub-header">
                                    Contract
                                </div>
                                 <div class="card-body">
                                    <div class="form-content">
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.ContractName" class="form-control input-underline input-sm" placeholder="Contract Name">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.ContractVatNo" class="form-control input-underline input-sm" placeholder="Contract Vat No.">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.InvoiceAddress" class="form-control input-underline input-sm" placeholder="Invoice Address">
                                        </div>
                                        <div class="form-group">
                                            <input type="text" [(ngModel)]="model.InvoiceZipAndCity" class="form-control input-underline input-sm" placeholder="Invoice Zip & City">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-header sub-header">
                                    Contacts
                                </div>
                                 <div class="card-body">
                                    <div class="form-content">
                                          <table class="table table-hover table-striped table-bordered table-sm">
                                            <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Name</th>
                                                    <th>Phone</th>
                                                    <th>Mobile</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td colspan="4" style="text-align:center">No Records to Display</td>
                                                </tr>
                                            </tbody>
                                            </table>
                                        </div>
                                        <div class="form-group">
                                            <textarea class="form-control input-underline input-sm" placeholder="Comments"></textarea>
                                        </div>
                                </div>
                            </div> 
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <button type="button" [disabled]="!model.Name" (click)="saveChanges()" class="btn btn-success rounded-btn"> Save </button>&nbsp;
                    <a class="btn btn-default rounded-btn" [routerLink]="['/tenants']"> Cancel </a>
                </div>
            </div>
        </div>
    </div>
</div>
